Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364494 - FE exception when Containers subtab selected
Summary: FE exception when Containers subtab selected
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.UserPortal
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
low vote
Target Milestone: ovirt-4.1.0-alpha
: 4.1.0.2
Assignee: jniederm
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-05 13:41 UTC by jniederm
Modified: 2017-02-15 15:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 15:08:22 UTC
oVirt Team: Virt
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
michal.skrivanek: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)
stacktrace.txt (deleted)
2016-08-05 13:41 UTC, jniederm
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 62010 master MERGED userportal: VMs > Containers subtab hidden for pools 2016-08-09 14:34:13 UTC

Description jniederm 2016-08-05 13:41:17 UTC
Created attachment 1187929 [details]
stacktrace.txt

Description of problem:
FE exception thrown when VMs > Containers subtab selected in userportal extended for pool row.

Version-Release number of selected component (if applicable):
4.1 master, commit e0a4393

How reproducible:
100%

Steps to Reproduce:
1. Make sure there are at least two objects visible in userportal extended > VMs (set permissions), one of them needs to be a pool.
2. Open Userportal extended > VMs.
3. Select some row.
4. Select 'Containers' subtab
5. Select the pool row

Actual results:
FE exception thrown (see browser console)

Expected results:
no exception thrown, maybe Containers subtab hidden for pools

Comment 1 Red Hat Bugzilla Rules Engine 2016-08-05 13:41:22 UTC
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.

Comment 2 Sandro Bonazzola 2016-12-12 14:03:55 UTC
The fix for this issue should be included in oVirt 4.1.0 beta 1 released on December 1st. If not included please move back to modified.

Comment 3 Lucie Leistnerova 2017-02-02 13:31:35 UTC
pool doesn't have Containers tab, so going from VM Containers tab to pool is OK

verified in ovirt-engine-userportal-4.1.0.3-0.1.el7.noarch


Note You need to log in before you can comment on or make changes to this bug.